Name:           ocaml-base64
Version:        3.2.0
Release:        %mkrel 0.4
Summary:        Base64 encoding and decoding library for OCaml
License:        ISC
Group:          Development/OCaml
URL:            https://github.com/mirage/ocaml-base64
Source0:        https://github.com/mirage/ocaml-base64/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-dune
BuildRequires:  opam

%description
Base64 is a group of similar binary-to-text encoding schemes that represent
binary data in an ASCII string format by translating it into a radix-64
representation. It is specified in RFC 2045.

From version 2.0 upwards, the module name is called B64 to avoid clashing with
other libraries such as extlib that use the Base64 toplevel name.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
make all

%install
dune install --destdir=%{buildroot}

# These files will be installed using the doc and license directives
rm -rf %{buildroot}%{_prefix}/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%files
%doc README.md CHANGES.md
%dir %{_libdir}/ocaml/base64
%{_libdir}/ocaml/base64/META
%{_libdir}/ocaml/base64/opam
%{_libdir}/ocaml/base64/*dune*
%{_libdir}/ocaml/base64/*.cma
%{_libdir}/ocaml/base64/*.cmi
%{_libdir}/ocaml/base64/*.cmxs
%{_libdir}/ocaml/base64/rfc2045/*.cma
%{_libdir}/ocaml/base64/rfc2045/*.cmi
%{_libdir}/ocaml/base64/rfc2045/*.cmxs

%files devel
%{_libdir}/ocaml/base64/*.a
%{_libdir}/ocaml/base64/*.cmx
%{_libdir}/ocaml/base64/*.cmxa
%{_libdir}/ocaml/base64/*.cmt
%{_libdir}/ocaml/base64/*.cmti
%{_libdir}/ocaml/base64/*.ml
%{_libdir}/ocaml/base64/*.mli
%{_libdir}/ocaml/base64/rfc2045/*.a
%{_libdir}/ocaml/base64/rfc2045/*.cmx
%{_libdir}/ocaml/base64/rfc2045/*.cmxa
%{_libdir}/ocaml/base64/rfc2045/*.cmt
%{_libdir}/ocaml/base64/rfc2045/*.cmti
%{_libdir}/ocaml/base64/rfc2045/*.ml
%{_libdir}/ocaml/base64/rfc2045/*.mli


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 3.2.0-0.4.mga8
+ Revision: 1670431
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 3.2.0-0.3.mga8
+ Revision: 1551479
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 3.2.0-0.2.mga8
+ Revision: 1545889
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 3.2.0-0.1.mga8
+ Revision: 1485421
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 2.2.0-2.mga7
+ Revision: 1324102
- rebuild with ocaml-4.07.1

* Mon Aug 27 2018 daviddavid <daviddavid> 2.2.0-1.mga7
+ Revision: 1255056
- new version: 2.2.0
- switch to jbuilder

* Mon Jan 15 2018 tv <tv> 2.1.2-1.mga7
+ Revision: 1193678
- new release
- move some files back into -devel

* Sun Nov 26 2017 tv <tv> 2.0.0-3.mga7
+ Revision: 1179665
- BR ocaml-ocamlbuild
- rebuild for new ocaml

* Thu Nov 24 2016 neoclust <neoclust> 2.0.0-2.mga6
+ Revision: 1069777
- Rebuild against fixed ocaml

* Fri Feb 12 2016 pterjan <pterjan> 2.0.0-1.mga6
+ Revision: 957243
- imported package ocaml-base64

